language: go

go_import_path: gopkg.in/mgo.v2

addons:
    apt:
        packages:

env:
    global:
        - BUCKET=https://niemeyer.s3.amazonaws.com
    matrix:
        - GO=1.4.1 MONGODB=x86_64-2.2.7
        - GO=1.4.1 MONGODB=x86_64-2.4.14
        - GO=1.4.1 MONGODB=x86_64-2.6.11
        - GO=1.4.1 MONGODB=x86_64-3.0.9
        - GO=1.4.1 MONGODB=x86_64-3.2.3-nojournal
        - GO=1.5.3 MONGODB=x86_64-3.0.9
        - GO=1.6   MONGODB=x86_64-3.0.9

install:
    - eval "$(gimme $GO)"

    - wget $BUCKET/mongodb-linux-$MONGODB.tgz
    - tar xzvf mongodb-linux-$MONGODB.tgz
    - export PATH=$PWD/mongodb-linux-$MONGODB/bin:$PATH

    - wget $BUCKET/daemontools.tar.gz
    - tar xzvf daemontools.tar.gz
    - export PATH=$PWD/daemontools:$PATH

    - go get gopkg.in/check.v1
    - go get gopkg.in/yaml.v2
    - go get gopkg.in/tomb.v2

before_script:
    - export NOIPV6=1
    - make startdb

script:
    - (cd bson && go test -check.v)
    - go test -check.v -fast
    - (cd txn && go test -check.v)

# vim:sw=4:ts=4:et
